//Getting marginal distributions
//user needs to get the access to the GMD data first for the data in the input file GMD_input
clear

tempfile data1
save `data1', replace emptyok

use "$datain\GMD_input", clear
local all = _N
forv i=1(1)`all' {
	use "$datain\GMD_input", clear
	local code = code[`i']
	local year = year[`i']
	local surveyid = surveyid[`i']
	
	cap dlw, country(`code') year(`year') surveyid(`surveyid') type(gmd) files mod(ALL)
	if _rc==0 {
		xtile q5 = welfare [aw=weight_p], n(5)
		
		//age
		drop if age<18
		gen agegr = 0 if age<18
		replace agegr = 1 if age>=18 & age<=24
		replace agegr = 2 if age>=25 & age<=34
		replace agegr = 3 if age>=35 & age<=.

		*ta agegr [aw=weight_h]
		gen age1824 = age>=18 & age<=24 & age~=. 
				
		//male
		*ta male [aw=weight_h]

		//educat4 - university
		*ta educat4 [aw=weight_h]
		gen edu_uni = educat4==4 if educat4~=.
		
		//quintile 
		*ta q5 [aw=weight_p]
		gen qt12 = q5==1|q5==2
		
		//hsize
		replace hsize = 8 if hsize>8 & hsize~=.
		*ta hsize [aw=weight_h]

		//locations - not easy to map into the 2 or 3 location
		//large_city
		
		keep code year male age1824 edu_uni	qt12 weight_h
		append using `data1'
		save `data1', replace
	} //rc	
} //i 

use `data1', clear
table (code) () [aw=weight_h], statistic(mean male age1824 edu_uni) nformat(%4.2f)
collect style header code male age1824 edu_uni, title(hide)
collect preview

//output for Population char data.dta
