**FULL DATA ANALYSIS part 1 **
/*
This dofile: "2 - 2312_Body_v1.do"
Infile: "$dataclean\allrawdata_weight.dta"
Outfile:
- Tables 4, 5
- Figures 5, 11, 12, 13, 14
*/
***BEGIN DO FILE*** 

clear
version 17
set more off

**Open Data**
use "$dataclean\allrawdata_weight.dta", clear

**GENERATE CROSS COUNTRY VARIABLES**
encode code, generate(country_code)

gen country_fuel = code if country_code !=3 & country_code !=6 & country_code !=7 & country_code !=11 & country_code !=12

gen country_other = code if country_code ==3 | country_code ==6 | country_code ==7 | country_code ==11 | country_code ==12

gen country = country_code

gen price_10 = .
replace price_10 = 1 if q24_10!=.
replace price_10 = 0 if q24_20!=.

**TOTAL POPULATION IPW**
gen w_totpop = .

replace w_totpop = 0.3 if youngmen==1 & country_code==1
replace w_totpop = 0.9 if oldmen==1 & country_code==1
replace w_totpop = 1.4 if youngwomen==1 & country_code==1
replace w_totpop = 3.7 if oldwomen==1 & country_code==1

replace w_totpop = 1.4 if youngmen==1 & country_code==2
replace w_totpop = 1.0 if oldmen==1 & country_code==2
replace w_totpop = 1.3 if youngwomen==1 & country_code==2
replace w_totpop = 0.9 if oldwomen==1 & country_code==2

replace w_totpop = 0.3 if youngmen==1 & country_code==3
replace w_totpop = 0.9 if oldmen==1 & country_code==3
replace w_totpop = 0.8 if youngwomen==1 & country_code==3
replace w_totpop = 2.4 if oldwomen==1 & country_code==3

replace w_totpop = 0.6 if youngmen==1 & country_code==4
replace w_totpop = 0.9 if oldmen==1 & country_code==4
replace w_totpop = 1.0 if youngwomen==1 & country_code==4
replace w_totpop = 1.4 if oldwomen==1 & country_code==4

replace w_totpop = 0.8 if youngmen==1 & country_code==5
replace w_totpop = 1.0 if oldmen==1 & country_code==5
replace w_totpop = 0.9 if youngwomen==1 & country_code==5
replace w_totpop = 1.1 if oldwomen==1 & country_code==5

replace w_totpop = 0.6 if youngmen==1 & country_code==6
replace w_totpop = 1.1 if oldmen==1 & country_code==6
replace w_totpop = 0.6 if youngwomen==1 & country_code==6
replace w_totpop = 1.2 if oldwomen==1 & country_code==6

replace w_totpop = 0.6 if youngmen==1 & country_code==7
replace w_totpop = 0.9 if oldmen==1 & country_code==7
replace w_totpop = 0.9 if youngwomen==1 & country_code==7
replace w_totpop = 1.4 if oldwomen==1 & country_code==7

replace w_totpop = 0.6 if youngmen==1 & country_code==8
replace w_totpop = 1.1 if oldmen==1 & country_code==8
replace w_totpop = 0.6 if youngwomen==1 & country_code==8
replace w_totpop = 1.2 if oldwomen==1 & country_code==8

replace w_totpop = 0.6 if youngmen==1 & country_code==9
replace w_totpop = 0.9 if oldmen==1 & country_code==9
replace w_totpop = 0.8 if youngwomen==1 & country_code==9
replace w_totpop = 1.5 if oldwomen==1 & country_code==9

replace w_totpop = 0.5 if youngmen==1 & country_code==10
replace w_totpop = 1.0 if oldmen==1 & country_code==10
replace w_totpop = 0.8 if youngwomen==1 & country_code==10
replace w_totpop = 1.5 if oldwomen==1 & country_code==10

replace w_totpop = 0.6 if youngmen==1 & country_code==11
replace w_totpop = 0.8 if oldmen==1 & country_code==11
replace w_totpop = 1.1 if youngwomen==1 & country_code==11
replace w_totpop = 1.6 if oldwomen==1 & country_code==11

replace w_totpop = 0.6 if youngmen==1 & country_code==12
replace w_totpop = 1.0 if oldmen==1 & country_code==12
replace w_totpop = 0.7 if youngwomen==1 & country_code==12
replace w_totpop = 1.2 if oldwomen==1 & country_code==12

**LABELS**
	   
label define price_101 0 "20% price increase"  1 "10% price increase" 
label values price_10 price_101 

label define gov_cap1 0 "Government not capable"  1 "Government capable" 
label values gov_cap gov_cap1 

label define trust1 0 "Do not trust government"  1 "Trust government" 
label values trust trust1 

label define sub_exist1 0 "Energy subsidies do not exist"  1 "Energy subsidies exist" 
label values sub_exist sub_exist1 
 
label define benefit1 0 "Do not benefit from energy subsidies"  1 "Benefit from energy subsidies" 
label values benefit benefit1 
 
label define right1 0 "Energy subsidies are not a right"  1 "Energy subsidies are a right" 
label values right right1 
 
label define use_energy1 0 "Do not use subsidised energy"  1 "Use subsidised energy" 
label values use_energy use_energy1 
 
label define prime_treat1 0 "Partial primer"  1 "Full primer" 
label values prime_treat prime_treat1 

label define B401 0 "Top 60%"  1 "Bottom 40%" 
label values B40 B401 
   
**RECODE TREATMENT VARIABLES**  

drop if eff_treat == 1 & country_code==1

label define main_treat1 0 "Control"  1 "Efficiency" 2 "Equity" 3 "Environment"
label values main_treat main_treat1 

drop eff_treat equ_treat env_treat 

gen eff_treat=.
replace eff_treat = 0 if main_treat==0
replace eff_treat = 1 if main_treat==1

gen equ_treat=.
replace equ_treat = 0 if main_treat==0
replace equ_treat = 1 if main_treat==2

gen env_treat=.
replace env_treat = 0 if main_treat==0
replace env_treat = 1 if main_treat==3
  
gen equ_env_treat=.
replace equ_env_treat = 0 if main_treat==0
replace equ_env_treat = 1 if main_treat==2
replace equ_env_treat = 1 if main_treat==3

label define eff_treat1 0 "Control"  1 "Efficiency Treatment" 
label values eff_treat eff_treat1 

label define equ_treat1 0 "Control"  1 "Equity Treatment" 
label values equ_treat equ_treat1 

label define env_treat1 0 "Control"  1 "Environment Treatment" 
label values env_treat env_treat1 

replace any_treat = equ_env_treat if country_code==1

**RECODE BACKGROUND VARIBLE**
gen per_place=.
replace per_place = 1 if per_quintile==1
replace per_place = 1 if per_quintile==2
replace per_place = 2 if per_quintile==3
replace per_place = 3 if per_quintile==4
replace per_place = 3 if per_quintile==5

label define per_place1 1 "Perceive Poor" 2 "Perceive Middle class"  3 "Perceive Rich" 
label values per_place per_place1 

gen pmid20=0
replace pmid20=1 if per_quintile==3

label define pmid201 0 "Top or Bottom 40%"  1 "Middle 20%" 
label values pmid20 pmid201 

label variable pmid20  "Perceived their HH to be in the middle 20 percent"
	
gen bias=0
replace bias=1 if q30==10125

label define male1 0 "Female"  1 "Male" 
label values male male1 

**Recode indexes**
drop unconindex

egen z_reduce_d2 = std(reduce_d)

egen z_eliminate_d2 = std(eliminate_d)

egen z_reduce_cost_d2 = std(reduce_cost_d)

egen unconindex = rowmean(z_reduce_d2 z_eliminate_d2 z_reduce_cost_d2)

drop conindex

egen z_cash_all_d2 = std(cash_all_d)

egen z_cash_poor_d2 = std(cash_poor_d)

egen z_tax_cuts_d2 = std(tax_cuts_d)

egen z_spend_d2 = std(spend_d)

egen z_debt_d2 = std(debt_d)

egen z_quality_d2 = std(quality_d)

egen z_environ_d2 = std(environ_d)

egen z_any_else2 = std(any_else)

egen conindex = rowmean(z_cash_all_d2 z_cash_poor_d2 z_tax_cuts_d2 z_spend_d2 z_debt_d2 z_environ_d2 z_quality_d2 z_any_else2)

egen q26a = rowtotal (q26a_10 q26a_20)

**MAIN ANALYSIS - REDUCE OPPOSITION**

**Table 4 - Treatment effects on unconditional support***

**Any treat**

reghdfe reduce_d any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m01

reghdfe eliminate_d any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m02

reghdfe reduce_cost_d any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m04

reghdfe unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m05

esttab m01 m02 m04 m05 using "${tables}\\Table4.tex", cells(b(star fmt(3)) se(par fmt(2)) p) label star(* 0.10 ** 0.05 *** 0.01)  ///  
keep(any_treat) varlabels(any_treat "Any treatment") f nonumbers mtitles("Reduce" "Eliminate" "Reduce with Cost" "Index") noobs replace

**Main treat**

reghdfe reduce_d i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m01

reghdfe eliminate_d i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m02

reghdfe reduce_cost_d i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m04

reghdfe unconindex i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m05

esttab m01 m02 m04 m05 using "${tables}\\Table4.tex", append cells(b(star fmt(3)) se(par fmt(2)) p) label star(* 0.10 ** 0.05 *** 0.01)  stats(p_diff1 p_diff2 p_diff3) ///  
drop(youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist _cons) varlabels(1.main_treat "Efficiency treatment" 2.main_treat "Equity treatment" 3.main_treat "Environment treatment") f nonumbers nomtitles noobs

**Control mean**

reghdfe reduce_d any_treat, a(country_code) vce(cluster country_code)  

estimates store m01

reghdfe eliminate_d any_treat, a(country_code) vce(cluster country_code)  

estimates store m02

reghdfe reduce_cost_d any_treat, a(country_code) vce(cluster country_code)  

estimates store m04

esttab m01 m02 m04 using "${tables}\\Table4.tex", append cells(b(fmt(3)))   ///  
keep(_cons) varlabels(_cons "Control Mean") f nonumbers nomtitles 

**Table 5 - Treatment effects on unconditional support***

**Any treat**

reghdfe cash_all_d any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m01

reghdfe cash_poor_d any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m02

reghdfe tax_cuts_d any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m03

reghdfe spend_d any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m04

reghdfe debt_d any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m05

reghdfe environ_d any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m06

reghdfe quality_d any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m07

reghdfe any_else any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m08

reghdfe conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

estimates store m09

esttab m01 m02 m03 m04 m05 m06 m07 m08 m09 using "${tables}\\Table5.tex", cells(b(star fmt(3)) se(par fmt(2)) p) label star(* 0.10 ** 0.05 *** 0.01)  ///  
keep(any_treat) varlabels(any_treat "Any treatment") f nonumbers mtitles("cash_all" "cash_poor" "tax_cuts" "spend" "debt" "environ" "quality" "any_else" "index") noobs replace

**Main treatment**

reghdfe cash_all_d i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m01

reghdfe cash_poor_d i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m02

reghdfe tax_cuts_d i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m03

reghdfe spend_d i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m04

reghdfe debt_d i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m05

reghdfe environ_d i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m06

reghdfe quality_d i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m07

reghdfe any_else i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m08

reghdfe conindex i.main_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_code) vce(cluster country_code)  

test 1.main_treat = 2.main_treat 

estadd scalar p_diff1 = r(p)

test 1.main_treat = 3.main_treat 

estadd scalar p_diff2 = r(p)

test 2.main_treat = 3.main_treat 

estadd scalar p_diff3 = r(p)

estimates store m09

esttab m01 m02 m03 m04 m05 m06 m07 m08 m09 using "${tables}\\Table5.tex", append cells(b(star fmt(3)) se(par fmt(2)) p) label star(* 0.10 ** 0.05 *** 0.01)  stats(p_diff1 p_diff2 p_diff3) ///  
drop(youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist _cons) varlabels(1.main_treat "Efficiency treatment" 2.main_treat "Equity treatment" 3.main_treat "Environment treatment") f nonumbers nomtitles noobs

**Control mean**

reghdfe cash_all_d any_treat, a(country_code) vce(cluster country_code)  

estimates store m01

reghdfe cash_poor_d any_treat, a(country_code) vce(cluster country_code)  

estimates store m02

reghdfe tax_cuts_d any_treat, a(country_code) vce(cluster country_code)  

estimates store m03


reghdfe spend_d any_treat, a(country_code) vce(cluster country_code)  

estimates store m04

reghdfe debt_d any_treat, a(country_code) vce(cluster country_code)  

estimates store m05

reghdfe environ_d any_treat, a(country_code) vce(cluster country_code)  

estimates store m06

reghdfe quality_d any_treat, a(country_code) vce(cluster country_code)  

estimates store m07

reghdfe any_else any_treat, a(country_code) vce(cluster country_code)  

estimates store m08

esttab m01 m02 m03 m04 m05 m06 m07 m08 using "${tables}\\Table5.tex", append cells(b(fmt(3)))  ///  
keep(_cons) varlabels(_cons "Control Mean") f nonumbers nomtitles 

**CHARTS**

label variable edu_uni  "University"

label variable large_city  "Major city"

label variable pB40  "Perceive B40%"

label variable B40  "Bottom 40%"

label variable use_energy  "Use energy"

label variable gov_cap  "Capacity"

label variable trust  "Trust"

label variable sub_exist  "Subsidies exist"

label variable benefit  "Benefit"

label variable right  "Right"

label variable age1824  "18-24 years old"

label variable pmid20  "Perceive M20%"

**FIGURE 5**

reghdfe reduce_d male age1824 edu_uni large_city B40 pB40 pmid20 use_energy gov_cap trust right benefit sub_exist [aw=w_totpop] , a(country_code) vce(cluster country_code)

est store est_reduce_d

reghdfe eliminate_d male age1824 edu_uni large_city B40 pB40 pmid20 use_energy gov_cap trust right benefit sub_exist [aw=w_totpop], a(country_code) vce(cluster country_code)

est store est_eliminate_d

reghdfe reduce_cost_d male age1824 edu_uni large_city B40 pB40 pmid20 use_energy gov_cap trust right benefit sub_exist [aw=w_totpop], a(country_code) vce(cluster country_code)

est store est_reduce_cost_d

coefplot est_reduce_d, bylabel(Reduce) || ///
		est_eliminate_d, bylabel(Eliminate) || ///
		est_reduce_cost_d, bylabel(Reduce with Cost) || ///
		, norecycle drop(_cons) xline(0) byopts(xrescale legend(off) col(3)) sort(, descending)

graph export "${figures}\\Figure5.png", replace		
		
**Figure 11**

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==1, robust

estimates store c1

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==2, robust

estimates store c2

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==4, robust

estimates store c4

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==5, robust

estimates store c5

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==8, robust

estimates store c8

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==9, robust

estimates store c9

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==10, robust

estimates store c10

reghdfe unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_fuel) vce(cluster country_fuel)  

estimates store cf

coefplot (c2, label(ARG) msy(s) msiz(huge)) (c5, label(ECU) msy(s) msiz(huge)) (c4, label(BOL) msy(s) msiz(huge)) (c8, label(IND) msy(s) msiz(huge)) (c9, label(KAZ) msy(s) msiz(huge))  (c1, label(AGO) msy(s) msiz(huge)) (c10, label(NIG) msy(s) msiz(huge)) (cf, label(ALL)),   ///
 ||,	  vertical drop(youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist _cons) yline(0) legend(cols(8) pos(6)) coeflabels(any_treat = " ")  title("Countries with fuel subsidies", size(small))  ytitle("Unconditional Support Index (s.d.)" "",  margin(medium) size(vsmall)) plotregion(color(white)) ylabel(-0.1(0.05)0.15, labsize(vsmall)) yscale(range(-0.1(0.05)0.2)) levels(95) saving("${figures}\\Figure11aa", replace)
  
*graph export "${figures}\\Figure11aa.png", replace	  

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==3, robust

estimates store c3

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==6, robust

estimates store c6

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==7, robust

estimates store c7

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==11, robust

estimates store c11

reg unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==12, robust

estimates store c12

reghdfe unconindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_other) vce(cluster country_other)  

estimates store co

coefplot (c12, label(VNM) msiz(huge)) (c3, label(BGD) msiz(huge)) (c6, label(EGY) msiz(huge))  (c7, label(GHA) msiz(huge))  (c11, label(PAK) msiz(huge))  (co, label(ALL)),   ///
 ||,	  vertical keep(any_treat) yline(0) legend(cols(6) pos(6)) coeflabels(any_treat = " ")  title("Countries with electricity/gas subsidies", size(small))  plotregion(color(white)) ylabel(-0.1(0.05)0.15, labsize(vsmall)) yscale(range(-0.1(0.05)0.2)) levels(95) saving("${figures}\\Figure11ab", replace)
  
*graph export "${figures}\\Figure11ab.png", replace	  

gr combine "${figures}\\Figure11aa.gph" "${figures}\\Figure11ab.gph", ycommon xcommon

graph export "${figures}\\Figure11a.png", replace

erase "${figures}\\Figure11aa.gph"
erase "${figures}\\Figure11ab.gph"

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==1, robust

estimates store c1

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==2, robust

estimates store c2

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==4, robust

estimates store c4

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==5, robust

estimates store c5

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==8, robust

estimates store c8

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==9, robust

estimates store c9

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==10, robust

estimates store c10

reghdfe conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_fuel) vce(cluster country_fuel)  

estimates store cf

coefplot (c2, label(ARG) msy(s) msiz(huge)) (c5, label(ECU) msy(s) msiz(huge)) (c4, label(BOL) msy(s) msiz(huge)) (c8, label(IND) msy(s) msiz(huge)) (c9, label(KAZ) msy(s) msiz(huge))  (c1, label(AGO) msy(s) msiz(huge)) (c10, label(NIG) msy(s) msiz(huge)) (cf, label(ALL)),  ///
 ||,	  vertical drop(youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist _cons) yline(0) legend(cols(8) pos(6)) coeflabels(any_treat = " ")  title("Countries with fuel subsidies", size(small))  ytitle("Conditional Support Index (s.d.)", size(vsmall)) plotregion(color(white)) ylabel(-0.1(0.05)0.15, labsize(vsmall)) yscale(range(-0.1(0.05)0.2)) levels(95) saving("${figures}\\Figure11ba", replace) 
  
*graph export "${figures}\\Figure11ba.png", replace	  

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==3, robust

estimates store c3

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==6, robust

estimates store c6

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==7, robust

estimates store c7

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==11, robust

estimates store c11

reg conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==12, robust

estimates store c12

reghdfe conindex any_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_other) vce(cluster country_other)  

estimates store co

coefplot (c12, label(VNM) msiz(huge)) (c3, label(BGD) msiz(huge)) (c6, label(EGY) msiz(huge))  (c7, label(GHA) msiz(huge))  (c11, label(PAK) msiz(huge))  (co, label(ALL)),   ///
 ||,	  vertical keep(any_treat) yline(0) legend(cols(6) pos(6)) coeflabels(any_treat = " ")  title("Countries with electricity/gas subsidies", size(small))  plotregion(color(white)) ylabel(-0.1(0.05)0.15, labsize(vsmall)) yscale(range(-0.1(0.05)0.2)) levels(95) saving("${figures}\\Figure11bb", replace) sort(, descending)
  
*graph export "${figures}\\Figure11bb.png", replace	  

gr combine "${figures}\\Figure11ba.gph" "${figures}\\Figure11bb.gph", ycommon xcommon

graph export "${figures}\\Figure11b.png", replace

erase "${figures}\\Figure11ba.gph"
erase "${figures}\\Figure11bb.gph"

**Figure 12**
reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==1, robust

estimates store c1

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==2, robust

estimates store c2

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==4, robust

estimates store c4

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==5, robust

estimates store c5

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==8, robust

estimates store c8

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==9, robust

estimates store c9

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==10, robust

estimates store c10

reghdfe unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_fuel) vce(cluster country_fuel)  

estimates store cf

coefplot (c4, label(BOL) msy(s) msiz(huge)) (c2, label(ARG) msy(s) msiz(huge)) (c5, label(ECU) msy(s) msiz(huge))  (c8, label(IND) msy(s) msiz(huge)) (c9, label(KAZ) msy(s) msiz(huge)) (c10, label(NIG) msy(s) msiz(huge)) (c1, label(AGO) msy(s) msiz(huge))  (cf, label(ALL)),   ///
 ||,	  vertical drop(youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist _cons) yline(0) legend(cols(8) pos(6)) coeflabels(env_treat = " ")  title("Countries with fuel subsidies", size(small))  ytitle("Unconditional Support Index (s.d.)", size(vsmall)) plotregion(color(white)) ylabel(-0.1(0.05)0.2, labsize(vsmall)) yscale(range(-0.1(0.05)0.2)) levels(95) saving("${figures}\\Figure12aa", replace)
  
*graph export "${figures}\\Figure12aa.png", replace	  

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==3, robust

estimates store c3

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==6, robust

estimates store c6

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==7, robust

estimates store c7

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==11, robust

estimates store c11

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==12, robust

estimates store c12

reghdfe unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_other) vce(cluster country_other)  

estimates store co

coefplot (c12, label(VNM) msiz(huge)) (c3, label(BGD) msiz(huge)) (c6, label(EGY) msiz(huge))  (c7, label(GHA) msiz(huge))  (c11, label(PAK) msiz(huge))  (co, label(ALL)),   ///
 ||,	  vertical keep(env_treat) yline(0) legend(cols(6) pos(6)) coeflabels(env_treat = " ")  title("Countries with electricity/gas subsidies", size(small))  ylabel(-0.1(0.05)0.2, labsize(vsmall)) yscale(range(-0.1(0.05)0.2)) levels(95) saving("${figures}\\Figure12ab", replace)
  
*graph export "${figures}\\Figure12ab.png", replace	  

gr combine "${figures}\\Figure12aa.gph" "${figures}\\Figure12ab.gph", ycommon xcommon

graph export "${figures}\\Figure12a.png", replace

erase "${figures}\\Figure12aa.gph"
erase "${figures}\\Figure12ab.gph"

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==1, robust

estimates store c1

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==2, robust

estimates store c2

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==4, robust

estimates store c4

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==5, robust

estimates store c5

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==8, robust

estimates store c8

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==9, robust

estimates store c9

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==10, robust

estimates store c10

reghdfe conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_fuel) vce(cluster country_fuel)  

estimates store cf

coefplot  (c4, label(BOL) msy(s) msiz(huge)) (c2, label(ARG) msy(s) msiz(huge)) (c5, label(ECU) msy(s) msiz(huge)) (c8, label(IND) msy(s) msiz(huge)) (c9, label(KAZ) msy(s) msiz(huge)) (c10, label(NIG) msy(s) msiz(huge)) (c1, label(AGO) msy(s) msiz(huge)) (cf, label(ALL)),   ///
 ||,	  vertical drop(youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist _cons) yline(0) legend(cols(8) pos(6)) coeflabels(env_treat = " ")  title("Countries with fuel subsidies", size(small))  ytitle("Conditional Support Index (s.d.)", size(vsmall)) plotregion(color(white)) ylabel(-0.1(0.05)0.2, labsize(vsmall)) yscale(range(-0.1(0.05)0.2)) levels(95) saving("${figures}\\Figure12ba", replace)
  
*graph export "${figures}\\Figure12ba.png", replace	  

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==3, robust

estimates store c3

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==6, robust

estimates store c6

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==7, robust

estimates store c7

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==11, robust

estimates store c11

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if country_code==12, robust

estimates store c12

reghdfe conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country_other) vce(cluster country_other)  

estimates store co

coefplot (c12, label(VNM) msiz(huge)) (c3, label(BGD) msiz(huge)) (c6, label(EGY) msiz(huge)) (c7, label(GHA) msiz(huge)) (c11, label(PAK) msiz(huge)) (co, label(ALL)),   ///
 ||,	  vertical keep(env_treat) yline(0) legend(cols(6) pos(6)) coeflabels(env_treat = " ")  title("Countries with electricity/gas subsidies", size(small))  ylabel(-0.1(0.05)0.2, labsize(vsmall)) yscale(range(-0.1(0.05)0.2)) levels(95) saving("${figures}\\Figure12bb", replace)
  
*graph export "${figures}\\Figure12bb.png", replace	  

gr combine "${figures}\\Figure12ba.gph" "${figures}\\Figure12bb.gph", ycommon xcommon

graph export "${figures}\\Figure12b.png", replace

erase "${figures}\\Figure12ba.gph"
erase "${figures}\\Figure12bb.gph"

**Figure 13**

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if per_place==1 & fuel_countries==1, a(country_code) vce(cluster country_code)

estimates store p4

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if per_place==2 & fuel_countries==1, a(country_code) vce(cluster country_code)

estimates store p5

reg unconindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if per_place==3 & fuel_countries==1, a(country_code) vce(cluster country_code)

estimates store p6

coefplot (p4, label(Bottom 40%)) (p5, label(Middle 20%)) (p6, label(Top 40%)),   ///
 ||,	  vertical drop(youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist _cons) yline(0) legend(cols(6) pos(6)) coeflabels(env_treat = " ")  title("Unconditional support")  ytitle("Unconditional Support Index (s.d.)", size(small)) plotregion(color(white)) ylabel(-0.05(0.05)0.15, labsize(vsmall)) yscale(range(-0.05(0.05)0.15)) levels(95) saving("${figures}\\Figure13a", replace)
  
*graph export "${figures}\\Figure13a.png", replace	  

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if per_place==1 & fuel_countries==1, a(country_code) vce(cluster country_code)

estimates store p4

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if per_place==2 & fuel_countries==1, a(country_code) vce(cluster country_code)

estimates store p5

reg conindex env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist if per_place==3 & fuel_countries==1, a(country_code) vce(cluster country_code)

estimates store p6

coefplot (p4, label(Perceive Poor)) (p5, label(Perceive Middle Class)) (p6, label(Perceive Rich)),   ///
 ||,	  vertical drop(youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist _cons) yline(0) legend(cols(6) pos(6)) coeflabels(env_treat = " ")  title("Conditional support")  ytitle("Conditional Support Index (s.d.)", size(small)) plotregion(color(white)) ylabel(-0.05(0.05)0.15, labsize(vsmall)) yscale(range(-0.05(0.05)0.15)) levels(95) saving("${figures}\\Figure13b", replace)
  
*graph export "${figures}\\Figure13b.png", replace	  

grc1leg "${figures}\\Figure13a.gph" "${figures}\\Figure13b.gph", ycommon xcommon

graph export "${figures}\\Figure13.png", replace

erase "${figures}\\Figure13a.gph" 
erase "${figures}\\Figure13b.gph"

**Figure 14**

cibar reduce_d eliminate_d reduce_cost_d, over1(env_treat) over2(pmid20) gr(title(Reduce) xlabel(, angle(45)) ytitle(Share of respondents) leg(pos(6) col(4)) name("Figure14a", replace)) level(95) 

cibar eliminate_d reduce_cost_d, over1(env_treat) over2(pmid20) gr(title(Eliminate) xlabel(, angle(45)) ytitle("") leg(pos(6) col(4)) name("Figure14b", replace)) level(95) 

cibar reduce_cost_d, over1(env_treat) over2(pmid20) gr(title(Reduce with cost) xlabel(, angle(45)) ytitle("") leg(pos(6) col(4)) name("Figure14c", replace)) level(95) 

grc1leg Figure14a Figure14b Figure14c, ycommon xcommon cols(3)

graph export "${figures}\\Figure14.png", replace
