**FULL DATA ANALYSIS**
/*
This dofile: "2 - 2312_Table3_FigureC8_TableC1_v1.do"
Infile: "$dataclean\allrawdata_weight.dta"
Outfile:
- Tables 3, C1
- Figures C8
*/

***BEGIN DO FILE*** 
clear
version 17
set more off

**Open Data**
use "$dataclean\allrawdata_weight.dta", clear

**GENERATE CROSS COUNTRY VARIABLES**

encode code, generate(country_code)

gen country_fuel = code if country_code !=3 & country_code !=6 & country_code !=7 & country_code !=11 & country_code !=12

gen country_other = code if country_code ==3 | country_code ==6 | country_code ==7 | country_code ==11 | country_code ==12

gen country = country_code

gen price_10 = .
replace price_10 = 1 if q24_10!=.
replace price_10 = 0 if q24_20!=.

**TOTAL POPULATION IPW**

gen w_totpop = .

replace w_totpop = 0.3 if youngmen==1 & country_code==1
replace w_totpop = 0.9 if oldmen==1 & country_code==1
replace w_totpop = 1.4 if youngwomen==1 & country_code==1
replace w_totpop = 3.7 if oldwomen==1 & country_code==1

replace w_totpop = 1.4 if youngmen==1 & country_code==2
replace w_totpop = 1.0 if oldmen==1 & country_code==2
replace w_totpop = 1.3 if youngwomen==1 & country_code==2
replace w_totpop = 0.9 if oldwomen==1 & country_code==2

replace w_totpop = 0.3 if youngmen==1 & country_code==3
replace w_totpop = 0.9 if oldmen==1 & country_code==3
replace w_totpop = 0.8 if youngwomen==1 & country_code==3
replace w_totpop = 2.4 if oldwomen==1 & country_code==3

replace w_totpop = 0.6 if youngmen==1 & country_code==4
replace w_totpop = 0.9 if oldmen==1 & country_code==4
replace w_totpop = 1.0 if youngwomen==1 & country_code==4
replace w_totpop = 1.4 if oldwomen==1 & country_code==4

replace w_totpop = 0.8 if youngmen==1 & country_code==5
replace w_totpop = 1.0 if oldmen==1 & country_code==5
replace w_totpop = 0.9 if youngwomen==1 & country_code==5
replace w_totpop = 1.1 if oldwomen==1 & country_code==5

replace w_totpop = 0.6 if youngmen==1 & country_code==6
replace w_totpop = 1.1 if oldmen==1 & country_code==6
replace w_totpop = 0.6 if youngwomen==1 & country_code==6
replace w_totpop = 1.2 if oldwomen==1 & country_code==6

replace w_totpop = 0.6 if youngmen==1 & country_code==7
replace w_totpop = 0.9 if oldmen==1 & country_code==7
replace w_totpop = 0.9 if youngwomen==1 & country_code==7
replace w_totpop = 1.4 if oldwomen==1 & country_code==7

replace w_totpop = 0.6 if youngmen==1 & country_code==8
replace w_totpop = 1.1 if oldmen==1 & country_code==8
replace w_totpop = 0.6 if youngwomen==1 & country_code==8
replace w_totpop = 1.2 if oldwomen==1 & country_code==8

replace w_totpop = 0.6 if youngmen==1 & country_code==9
replace w_totpop = 0.9 if oldmen==1 & country_code==9
replace w_totpop = 0.8 if youngwomen==1 & country_code==9
replace w_totpop = 1.5 if oldwomen==1 & country_code==9

replace w_totpop = 0.5 if youngmen==1 & country_code==10
replace w_totpop = 1.0 if oldmen==1 & country_code==10
replace w_totpop = 0.8 if youngwomen==1 & country_code==10
replace w_totpop = 1.5 if oldwomen==1 & country_code==10

replace w_totpop = 0.6 if youngmen==1 & country_code==11
replace w_totpop = 0.8 if oldmen==1 & country_code==11
replace w_totpop = 1.1 if youngwomen==1 & country_code==11
replace w_totpop = 1.6 if oldwomen==1 & country_code==11

replace w_totpop = 0.6 if youngmen==1 & country_code==12
replace w_totpop = 1.0 if oldmen==1 & country_code==12
replace w_totpop = 0.7 if youngwomen==1 & country_code==12
replace w_totpop = 1.2 if oldwomen==1 & country_code==12

**LABELS**	   
label define price_101 0 "20% price increase"  1 "10% price increase" 
label values price_10 price_101 

label define gov_cap1 0 "Government not capable"  1 "Government capable" 
label values gov_cap gov_cap1 

label define trust1 0 "Do not trust government"  1 "Trust government" 
label values trust trust1 

label define sub_exist1 0 "Energy subsidies do not exist"  1 "Energy subsidies exist" 
label values sub_exist sub_exist1 
 
label define benefit1 0 "Do not benefit from energy subsidies"  1 "Benefit from energy subsidies" 
label values benefit benefit1 
 
label define right1 0 "Energy subsidies are not a right"  1 "Energy subsidies are a right" 
label values right right1 
 
label define use_energy1 0 "Do not use subsidised energy"  1 "Use subsidised energy" 
label values use_energy use_energy1 
 
label define prime_treat1 0 "Partial primer"  1 "Full primer" 
label values prime_treat prime_treat1 

label define B401 0 "Top 60%"  1 "Bottom 40%" 
label values B40 B401 
  
**RECODE TREATMENT VARIABLES**  
label define main_treat1 0 "Control"  1 "Efficiency" 2 "Equity" 3 "Environment"
label values main_treat main_treat1 

drop eff_treat equ_treat env_treat 

gen eff_treat=.
replace eff_treat = 0 if main_treat==0
replace eff_treat = 1 if main_treat==1

gen equ_treat=.
replace equ_treat = 0 if main_treat==0
replace equ_treat = 1 if main_treat==2

gen env_treat=.
replace env_treat = 0 if main_treat==0
replace env_treat = 1 if main_treat==3
  
gen equ_env_treat=.
replace equ_env_treat = 0 if main_treat==0
replace equ_env_treat = 1 if main_treat==2
replace equ_env_treat = 1 if main_treat==3

label define eff_treat1 0 "Control"  1 "Efficiency Treatment" 
label values eff_treat eff_treat1 

label define equ_treat1 0 "Control"  1 "Equity Treatment" 
label values equ_treat equ_treat1 

label define env_treat1 0 "Control"  1 "Environment Treatment" 
label values env_treat env_treat1 

**RECODE BACKGROUND VARIBLE**
gen per_place=.
replace per_place = 1 if per_quintile==1
replace per_place = 1 if per_quintile==2
replace per_place = 2 if per_quintile==3
replace per_place = 3 if per_quintile==4
replace per_place = 3 if per_quintile==5

label define per_place1 1 "Perceive Poor" 2 "Perceive Middle class"  3 "Perceive Rich" 
label values per_place per_place1 

gen pmid20=0
replace pmid20=1 if per_quintile==3

label define pmid201 0 "Other"  1 "Middle 20%" 
label values pmid20 pmid201 		            
label variable pmid20  "Perceived their HH to be in the middle 20 percent"
	   
gen bias=0
replace bias=1 if q30==10125
label define male1 0 "Female"  1 "Male" 
label values male male1 

**Recode indexes**
drop unconindex

egen z_reduce_d2 = std(reduce_d)

egen z_eliminate_d2 = std(eliminate_d)

egen z_reduce_cost_d2 = std(reduce_cost_d)

egen unconindex = rowmean(z_reduce_d2 z_eliminate_d2 z_reduce_cost_d2)

drop conindex

egen z_cash_all_d2 = std(cash_all_d)

egen z_cash_poor_d2 = std(cash_poor_d)

egen z_tax_cuts_d2 = std(tax_cuts_d)

egen z_spend_d2 = std(spend_d)

egen z_debt_d2 = std(debt_d)

egen z_quality_d2 = std(quality_d)

egen z_environ_d2 = std(environ_d)

egen z_any_else2 = std(any_else)

egen conindex = rowmean(z_cash_all_d2 z_cash_poor_d2 z_tax_cuts_d2 z_spend_d2 z_debt_d2 z_environ_d2 z_quality_d2 z_any_else2)

egen q26a = rowtotal (q26a_10 q26a_20)

**First stage**

gen q20a_fs = .
replace q20a_fs = 1 if q20a==10076
replace q20a_fs = 1 if q20a==10077
replace q20a_fs = 0 if q20a==10078
replace q20a_fs = 0 if q20a==10079
replace q20a_fs = 0 if q20a==10080
  
gen q20b_fs = .
replace q20b_fs = 1 if q20b==10081
replace q20b_fs = 1 if q20b==10082
replace q20b_fs = 0 if q20b==10083
replace q20b_fs = 0 if q20b==10084
replace q20b_fs = 0 if q20b==10085

gen q20c_fs = .
replace q20c_fs = 1 if q20c==10181
replace q20c_fs = 1 if q20c==10182
replace q20c_fs = 0 if q20c==10183
replace q20c_fs = 0 if q20c==10184
replace q20c_fs = 0 if q20c==10185
  
label variable q20a_fs  "Cost more than health"

label variable q20b_fs  "Mainly benefit richer HHs"

label variable q20c_fs  "Damage the environment" 
  
**Table 3 - First Stage Treatment effects***

reghdfe q20a_fs eff_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country) vce(cluster country)  
estimates store m01

reghdfe q20b_fs equ_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country) vce(cluster country)  

estimates store m02

reghdfe q20c_fs env_treat youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist, a(country) vce(cluster country)  

estimates store m04

esttab m01 m02 m04 using "${tables}\\Table3.tex", cells(b(star fmt(3)) se(par fmt(2)) p) label star(* 0.10 ** 0.05 *** 0.01)  ///  
drop(youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 per_quintile act_quintile B40 elect gas pay_fuel gov_cap trust sub_exist _cons) varlabels(eff_treat "Efficiency treatment" equ_treat "Equity treatment" env_treat "Environment treatment") f nonumbers mtitles("Efficiency" "Equity" "Environment") noobs replace 

reghdfe q20a_fs eff_treat, a(country) vce(cluster country)  

estimates store m01

reghdfe q20b_fs equ_treat, a(country) vce(cluster country)  

estimates store m02

reghdfe q20c_fs env_treat, a(country) vce(cluster country)  

estimates store m04

esttab m01 m02 m04 using "${tables}\\Table3.tex", append cells(b(fmt(3)))   ///  
keep(_cons) varlabels(_cons "Control Mean") f nonumbers nomtitles 

***Figure C8***
catcibar q20a_fs, over(eff_treat) by(country_code, note("") legend(pos(6) cols(3))) ytitle(Share of respondents)  cil(90) 

graph export "${figures}\\FigureC8a.png", replace	
  
catcibar q20b_fs, over(equ_treat) by(country_code, note("") legend(pos(6) cols(3))) ytitle(Share of respondents) cil(90) 

graph export "${figures}\\FigureC8b.png", replace	

catcibar q20c_fs, over(env_treat) by(country_code, note("") legend(pos(6) cols(3))) ytitle(Share of respondents) cil(90) 

graph export "${figures}\\FigureC8c.png", replace	
  
**Table C1 - Balance**
la var youngmen "18-24yrs men"
la var oldmen "25yrs+ men"
la var youngwomen "18-24yrs women"
la var oldwomen "25yrs+ women"
la var edu_uni "University"
la var large_city "Major city"
la var pB40 "Per bottom 40%"
la var B40 "Act bottom 40%"
la var elect "Use electricity"
la var pay_fuel "Pay fuel"
la var gov_cap "Gov capable"
la var trust "Trust gov"
la var sub_exist "Subsidies exist"

iebaltab youngmen oldmen youngwomen oldwomen edu_uni large_city pB40 B40 elect pay_fuel gov_cap trust sub_exist, grpvar(main_treat) savexlsx("${tables}\\TableC1") ft rowvarlabels replace nonote stats(pair(diff))
  