//master dofile
/*
** Readme

** COMPUTING ENVIRONMENT
- Windows 10
- Stata 17
- Users ADOs (see below)

R v4.3.1
Libraries used: rmarkdown, knitr, ggwordcloud, dplyr, RColorBrewer, wordcloud, wordcloud2, htmlwidgets, textplot, quanteda.textplots. webshot2, chromote

//Folders and subfolders need to be created first
Data\
---Clean\
---Intermediate\
---Raw\
---Pre_Analysis\
Dofile\
Figures\
---CSV\
---HTML\
Tables\

*/
clear
version 17
/*
//External ADO codes from SSC
All ado files are included in Dofile/ado, no installation is needed
*/

//Change path here to replicate
global path "."

global datain "${path}/Data/Raw\/"
global dataclean "${path}/Data/Clean/"
global datainter "${path}/Data/Intermediate/"
global predata "${path}/Data/Pre Analysis/"

global figures "${path}/Figures"
global tables "${path}/Tables"
global dofile "${path}/Dofile"

sysdir set PLUS "${dofile}/ado"
set varabbrev on

//dofiles for data cleaning provided but not raw data from surveys
*do "${dofile}\\0 - GMD input.do"
*do "${dofile}\\1a - Clean raw data.do"
*do "${dofile}\\1b - Add weights.do"

//Pre Analysis
do "${dofile}/5 -  Pre-analysis_c1_c2_c3.do"

//main analysis
do "${dofile}/2 - 2312_Appendix (tables)_v1.do"
do "${dofile}/2 - 2312_Body_v1.do"
do "${dofile}/2 - 2312_Table3_FigureC8_TableC1_v1.do"
do "${dofile}/3 - basic stat WP paper.do"

//Open text analysis
do "${dofile}/4 - 1. Cleaning and Appending.do"
do "${dofile}/4 - 2. Identify keywords.do"
do "${dofile}/4 - 3. Analysis.do"
